Contenu | Rechercher | Menus

Annonce

Ubuntu-fr.org recrute toujours de nouveaux modérateurs, avec de l'expérience.

Ubuntu 16.04 LTS
Réservez vos DVD et clé USB Ubuntu-fr (premières livraisons mi-mai)

Si vous avez des soucis pour rester connecté, déconnectez vous et reconnectez vous depuis ce lien en cochant le case
Me connecter automatiquement lors de mes prochaines visites.

M.A.J. en cours du forum possibilité de bug, nous faisons le maximum pour les résoudre au plus vite

#1 Le 07/12/2005, à 19:02

Io

Faut bien un premier post ...

Dernierement je me mis en tête de d'attaquer mes bases de données genre Oracle ou autre grace au connecteur ODBC et le tt en Python.
Pas de problème sous Windows avec les package dbi.py et odbc.py.
Mais sous Ubuntu et sur les différents Linux je trouve rien du tt en python.
Seul les packages commerciaux de mx (egenix) apparement reponde à mes critères hors c'est commercial ... hmm

En faite je cherche un package implementant les spec de 'Python Database API Specification 2.0' pour Linux mais je trouve rien pour l'instant ...
Quelqu'un aurrai t'il une idée ???? tongue

Hors ligne

#2 Le 07/12/2005, à 19:43

Stemp

Re : Faut bien un premier post ...

http://savannah.nongnu.org/projects/pyodbc/ ?


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#3 Le 07/12/2005, à 21:09

Io

Re : Faut bien un premier post ...

Ca aurrai pu mais non ça a l'ai un peu abondonné ...:o

Hors ligne

#4 Le 07/12/2005, à 21:12

Stemp

Re : Faut bien un premier post ...

Tant pis, de toutes façons les solutions propriètaires Microsoft roll
Tu ne peux pas plutôt utiliser les solutions standards ?


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#5 Le 08/12/2005, à 00:13

Io

Re : Faut bien un premier post ...

Bin justement je vois pas comment etre plus standard et generique qu'attaquer mes DB par le connecteur ODBC ... yikes

Et je ne comprend pas comment un langage si puissance et efficace que Python n'a pas de librairie implementant les spec de l'interface 2.0 !!!
ggggrrrrrrr ..... hmm

Hors ligne